public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2021-01-16  8:05 Joonas Niilola
  0 siblings, 0 replies; 27+ messages in thread
From: Joonas Niilola @ 2021-01-16  8:05 UTC (permalink / raw
  To: gentoo-commits

commit:     d05f1fdd0033aeb8e54ff3fd25536019c0ec3ccb
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sat Dec 19 15:13:30 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Jan 16 08:02:59 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d05f1fdd

dev-python/sphinxcontrib-bibtex: new dependency of spyder

Sphinx extensions for BibTeX style citations.

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  1 +
 dev-python/sphinxcontrib-bibtex/metadata.xml       | 16 +++++++++++
 .../sphinxcontrib-bibtex-2.0.0.ebuild              | 31 ++++++++++++++++++++++
 3 files changed, 48 insertions(+)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
new file mode 100644
index 00000000000..8a428f1c4b0
--- /dev/null
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -0,0 +1 @@
+DIST sphinxcontrib-bibtex-2.0.0.tar.gz 135555 BLAKE2B 8a542ff7895a89a8dbf6b8ed1df3ab4e928b68ce86881819c1fbfafdda626c2e1106f5513832ee09248381c89f54f06d4d1b42f005b1f775b0fbe8962a0a0ff1 SHA512 bffd4cb1ea8d88b947b89f5bd1c55bbb8bbab8679f205216f87f932cc0170d2bbabfbe4ea8d32fb7c980826d3f7c4a20cd49c2fb36f288b5cdc4500ad9ff75cd

diff --git a/dev-python/sphinxcontrib-bibtex/metadata.xml b/dev-python/sphinxcontrib-bibtex/metadata.xml
new file mode 100644
index 00000000000..786ba057ec1
--- /dev/null
+++ b/dev-python/sphinxcontrib-bibtex/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>andrewammerlaan@riseup.net</email>
+		<name>Andrew Ammerlaan</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="pypi">sphinxcontrib-bibtex</remote-id>
+		<remote-id type="github">mcmtroffaes/sphinxcontrib-bibtex</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.0.0.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.0.0.ebuild
new file mode 100644
index 00000000000..f16eabd5b3a
--- /dev/null
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.0.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extensions for BibTeX style citations"
+HOMEPAGE="https://github.com/mcmtroffaes/sphinxcontrib-bibtex"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	dev-python/oset[${PYTHON_USEDEP}]
+	dev-python/pybtex[${PYTHON_USEDEP}]
+	dev-python/pybtex-docutils[${PYTHON_USEDEP}]
+	dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
+python_install_all() {
+	distutils-r1_python_install_all
+	find "${D}" -name '*.pth' -delete || die
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2021-03-05 21:50 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2021-03-05 21:50 UTC (permalink / raw
  To: gentoo-commits

commit:     1a13e4bab69b7e1d63da2c1fa012d5f9af855f55
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar  5 21:38:09 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar  5 21:50:41 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a13e4ba

dev-python/sphinxcontrib-bibtex: Bump to 2.2.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  1 +
 .../sphinxcontrib-bibtex-2.2.0.ebuild              | 35 ++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
index 8a428f1c4b0..bcea1ca4286 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1 +1,2 @@
 DIST sphinxcontrib-bibtex-2.0.0.tar.gz 135555 BLAKE2B 8a542ff7895a89a8dbf6b8ed1df3ab4e928b68ce86881819c1fbfafdda626c2e1106f5513832ee09248381c89f54f06d4d1b42f005b1f775b0fbe8962a0a0ff1 SHA512 bffd4cb1ea8d88b947b89f5bd1c55bbb8bbab8679f205216f87f932cc0170d2bbabfbe4ea8d32fb7c980826d3f7c4a20cd49c2fb36f288b5cdc4500ad9ff75cd
+DIST sphinxcontrib-bibtex-2.2.0.tar.gz 96027 BLAKE2B 77ca45e36f1730fa6992cfe41763a34e2a0bcdc99c520412591be3c219dcb7a8af240cc74d08c260548475b88b6cfba24b82e7bad2ab21b24c0e9cb62590792a SHA512 fa78d35f04825f841f757e2708d0ebbd3617a7bf20a893249eaee7e435ff2880ffc8bd23608356904ce41fc11d7fd49bab20f3da501d4a217593c52d99caebaa

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.2.0.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.2.0.ebuild
new file mode 100644
index 00000000000..3c3e2d33175
--- /dev/null
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.2.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extensions for BibTeX style citations"
+HOMEPAGE="https://github.com/mcmtroffaes/sphinxcontrib-bibtex"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	dev-python/oset[${PYTHON_USEDEP}]
+	dev-python/pybtex[${PYTHON_USEDEP}]
+	dev-python/pybtex-docutils[${PYTHON_USEDEP}]
+	dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
+python_test() {
+	pytest -vv test || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+	find "${D}" -name '*.pth' -delete || die
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2021-05-17  7:36 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2021-05-17  7:36 UTC (permalink / raw
  To: gentoo-commits

commit:     aca436ac737a78be5c3c29bef9537d4a57e81fdf
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 17 07:14:21 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 17 07:36:51 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aca436ac

dev-python/sphinxcontrib-bibtex: Bump to 2.2.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  1 +
 .../sphinxcontrib-bibtex-2.2.1.ebuild              | 31 ++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
index bcea1ca4286..4ea612ca4d3 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1,2 +1,3 @@
 DIST sphinxcontrib-bibtex-2.0.0.tar.gz 135555 BLAKE2B 8a542ff7895a89a8dbf6b8ed1df3ab4e928b68ce86881819c1fbfafdda626c2e1106f5513832ee09248381c89f54f06d4d1b42f005b1f775b0fbe8962a0a0ff1 SHA512 bffd4cb1ea8d88b947b89f5bd1c55bbb8bbab8679f205216f87f932cc0170d2bbabfbe4ea8d32fb7c980826d3f7c4a20cd49c2fb36f288b5cdc4500ad9ff75cd
 DIST sphinxcontrib-bibtex-2.2.0.tar.gz 96027 BLAKE2B 77ca45e36f1730fa6992cfe41763a34e2a0bcdc99c520412591be3c219dcb7a8af240cc74d08c260548475b88b6cfba24b82e7bad2ab21b24c0e9cb62590792a SHA512 fa78d35f04825f841f757e2708d0ebbd3617a7bf20a893249eaee7e435ff2880ffc8bd23608356904ce41fc11d7fd49bab20f3da501d4a217593c52d99caebaa
+DIST sphinxcontrib-bibtex-2.2.1.tar.gz 96251 BLAKE2B 3ff2ad5b7a37535177c19ba82cf53bd3a57e9f143f9157a7c5be6fd72b5c402893c172e9d902b2e12ac527833c742c3ffed81ee3407eb48fcf2937eadc3aab3b SHA512 c34199cc5180dbd8b804daf4ca1bcd830605b9620a44312c632fd9313ad87ab495b6e134f5042167daefa36c5295f61c03ee90b69396f746bc6ec7bfa182a69b

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.2.1.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.2.1.ebuild
new file mode 100644
index 00000000000..4a4e2dccdd1
--- /dev/null
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.2.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extensions for BibTeX style citations"
+HOMEPAGE="https://github.com/mcmtroffaes/sphinxcontrib-bibtex"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	dev-python/oset[${PYTHON_USEDEP}]
+	dev-python/pybtex[${PYTHON_USEDEP}]
+	dev-python/pybtex-docutils[${PYTHON_USEDEP}]
+	dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
+python_install_all() {
+	distutils-r1_python_install_all
+	find "${D}" -name '*.pth' -delete || die
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2021-05-22 20:55 Andrew Ammerlaan
  0 siblings, 0 replies; 27+ messages in thread
From: Andrew Ammerlaan @ 2021-05-22 20:55 UTC (permalink / raw
  To: gentoo-commits

commit:     0c53f7520b170eca00775cb42db9d64c01c5bd42
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Sat May 22 20:38:35 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sat May 22 20:55:44 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c53f752

dev-python/sphinxcontrib-bibtex: add <stabilize-allarches/>

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/metadata.xml | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-python/sphinxcontrib-bibtex/metadata.xml b/dev-python/sphinxcontrib-bibtex/metadata.xml
index 0b33b2fdc73..063f60aba14 100644
--- a/dev-python/sphinxcontrib-bibtex/metadata.xml
+++ b/dev-python/sphinxcontrib-bibtex/metadata.xml
@@ -9,4 +9,5 @@
 		<remote-id type="pypi">sphinxcontrib-bibtex</remote-id>
 		<remote-id type="github">mcmtroffaes/sphinxcontrib-bibtex</remote-id>
 	</upstream>
+	<stabilize-allarches/>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2021-06-01 21:37 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2021-06-01 21:37 UTC (permalink / raw
  To: gentoo-commits

commit:     9a8ef3d1167aca1a61e41b81b7d03f131992d013
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  1 21:30:03 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun  1 21:30:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9a8ef3d1

dev-python/sphinxcontrib-bibtex: Bump to 2.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  1 +
 .../sphinxcontrib-bibtex-2.3.0.ebuild              | 31 ++++++++++++++++++++++
 2 files changed, 32 insertions(+)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
index 4ea612ca4d3..99c4ac48d78 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1,3 +1,4 @@
 DIST sphinxcontrib-bibtex-2.0.0.tar.gz 135555 BLAKE2B 8a542ff7895a89a8dbf6b8ed1df3ab4e928b68ce86881819c1fbfafdda626c2e1106f5513832ee09248381c89f54f06d4d1b42f005b1f775b0fbe8962a0a0ff1 SHA512 bffd4cb1ea8d88b947b89f5bd1c55bbb8bbab8679f205216f87f932cc0170d2bbabfbe4ea8d32fb7c980826d3f7c4a20cd49c2fb36f288b5cdc4500ad9ff75cd
 DIST sphinxcontrib-bibtex-2.2.0.tar.gz 96027 BLAKE2B 77ca45e36f1730fa6992cfe41763a34e2a0bcdc99c520412591be3c219dcb7a8af240cc74d08c260548475b88b6cfba24b82e7bad2ab21b24c0e9cb62590792a SHA512 fa78d35f04825f841f757e2708d0ebbd3617a7bf20a893249eaee7e435ff2880ffc8bd23608356904ce41fc11d7fd49bab20f3da501d4a217593c52d99caebaa
 DIST sphinxcontrib-bibtex-2.2.1.tar.gz 96251 BLAKE2B 3ff2ad5b7a37535177c19ba82cf53bd3a57e9f143f9157a7c5be6fd72b5c402893c172e9d902b2e12ac527833c742c3ffed81ee3407eb48fcf2937eadc3aab3b SHA512 c34199cc5180dbd8b804daf4ca1bcd830605b9620a44312c632fd9313ad87ab495b6e134f5042167daefa36c5295f61c03ee90b69396f746bc6ec7bfa182a69b
+DIST sphinxcontrib-bibtex-2.3.0.tar.gz 100159 BLAKE2B 96c9ebf48f11354ea3978a053828f9290457aff4fa1f0bb3d9f94bfe6fb5d5463f83bb12004f22bf8e34a517393848482a27d6754c682d25a0de64c3c7d06ecc SHA512 84652cfc7ad19ad5cdc1dba9a8aa7f835c5c95850a8e941067fd79b6b271733a63a1ba457a59e18156737888c2f42350b7fe0cf2d55ea478629b74b00d14f908

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.3.0.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.3.0.ebuild
new file mode 100644
index 00000000000..4a4e2dccdd1
--- /dev/null
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.3.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extensions for BibTeX style citations"
+HOMEPAGE="https://github.com/mcmtroffaes/sphinxcontrib-bibtex"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	dev-python/oset[${PYTHON_USEDEP}]
+	dev-python/pybtex[${PYTHON_USEDEP}]
+	dev-python/pybtex-docutils[${PYTHON_USEDEP}]
+	dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
+python_install_all() {
+	distutils-r1_python_install_all
+	find "${D}" -name '*.pth' -delete || die
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2021-06-05 20:54 Andrew Ammerlaan
  0 siblings, 0 replies; 27+ messages in thread
From: Andrew Ammerlaan @ 2021-06-05 20:54 UTC (permalink / raw
  To: gentoo-commits

commit:     85d4a109d7c942c3312718409852d2341c1c824f
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  5 20:10:16 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sat Jun  5 20:54:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85d4a109

dev-python/sphinxcontrib-bibtex: drop old

Package-Manager: Portage-3.0.19, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  1 -
 .../sphinxcontrib-bibtex-2.0.0.ebuild              | 31 ----------------------
 2 files changed, 32 deletions(-)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
index 99c4ac48d78..4a10883128a 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1,4 +1,3 @@
-DIST sphinxcontrib-bibtex-2.0.0.tar.gz 135555 BLAKE2B 8a542ff7895a89a8dbf6b8ed1df3ab4e928b68ce86881819c1fbfafdda626c2e1106f5513832ee09248381c89f54f06d4d1b42f005b1f775b0fbe8962a0a0ff1 SHA512 bffd4cb1ea8d88b947b89f5bd1c55bbb8bbab8679f205216f87f932cc0170d2bbabfbe4ea8d32fb7c980826d3f7c4a20cd49c2fb36f288b5cdc4500ad9ff75cd
 DIST sphinxcontrib-bibtex-2.2.0.tar.gz 96027 BLAKE2B 77ca45e36f1730fa6992cfe41763a34e2a0bcdc99c520412591be3c219dcb7a8af240cc74d08c260548475b88b6cfba24b82e7bad2ab21b24c0e9cb62590792a SHA512 fa78d35f04825f841f757e2708d0ebbd3617a7bf20a893249eaee7e435ff2880ffc8bd23608356904ce41fc11d7fd49bab20f3da501d4a217593c52d99caebaa
 DIST sphinxcontrib-bibtex-2.2.1.tar.gz 96251 BLAKE2B 3ff2ad5b7a37535177c19ba82cf53bd3a57e9f143f9157a7c5be6fd72b5c402893c172e9d902b2e12ac527833c742c3ffed81ee3407eb48fcf2937eadc3aab3b SHA512 c34199cc5180dbd8b804daf4ca1bcd830605b9620a44312c632fd9313ad87ab495b6e134f5042167daefa36c5295f61c03ee90b69396f746bc6ec7bfa182a69b
 DIST sphinxcontrib-bibtex-2.3.0.tar.gz 100159 BLAKE2B 96c9ebf48f11354ea3978a053828f9290457aff4fa1f0bb3d9f94bfe6fb5d5463f83bb12004f22bf8e34a517393848482a27d6754c682d25a0de64c3c7d06ecc SHA512 84652cfc7ad19ad5cdc1dba9a8aa7f835c5c95850a8e941067fd79b6b271733a63a1ba457a59e18156737888c2f42350b7fe0cf2d55ea478629b74b00d14f908

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.0.0.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.0.0.ebuild
deleted file mode 100644
index f16eabd5b3a..00000000000
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.0.0.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7,8} )
-
-inherit distutils-r1
-
-DESCRIPTION="Sphinx extensions for BibTeX style citations"
-HOMEPAGE="https://github.com/mcmtroffaes/sphinxcontrib-bibtex"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	dev-python/oset[${PYTHON_USEDEP}]
-	dev-python/pybtex[${PYTHON_USEDEP}]
-	dev-python/pybtex-docutils[${PYTHON_USEDEP}]
-	dev-python/sphinx[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx doc
-
-python_install_all() {
-	distutils-r1_python_install_all
-	find "${D}" -name '*.pth' -delete || die
-}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2021-09-03  7:32 Arthur Zamarin
  0 siblings, 0 replies; 27+ messages in thread
From: Arthur Zamarin @ 2021-09-03  7:32 UTC (permalink / raw
  To: gentoo-commits

commit:     409f0777d87dfd22d221dec87c5069a77ddc3988
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Sep  3 06:53:42 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Sep  3 07:32:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=409f0777

dev-python/sphinxcontrib-bibtex: drop 2.2.0, 2.2.1

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  2 --
 .../sphinxcontrib-bibtex-2.2.0.ebuild              | 35 ----------------------
 .../sphinxcontrib-bibtex-2.2.1.ebuild              | 31 -------------------
 3 files changed, 68 deletions(-)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
index 4a10883128a..8a3ed968d47 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1,3 +1 @@
-DIST sphinxcontrib-bibtex-2.2.0.tar.gz 96027 BLAKE2B 77ca45e36f1730fa6992cfe41763a34e2a0bcdc99c520412591be3c219dcb7a8af240cc74d08c260548475b88b6cfba24b82e7bad2ab21b24c0e9cb62590792a SHA512 fa78d35f04825f841f757e2708d0ebbd3617a7bf20a893249eaee7e435ff2880ffc8bd23608356904ce41fc11d7fd49bab20f3da501d4a217593c52d99caebaa
-DIST sphinxcontrib-bibtex-2.2.1.tar.gz 96251 BLAKE2B 3ff2ad5b7a37535177c19ba82cf53bd3a57e9f143f9157a7c5be6fd72b5c402893c172e9d902b2e12ac527833c742c3ffed81ee3407eb48fcf2937eadc3aab3b SHA512 c34199cc5180dbd8b804daf4ca1bcd830605b9620a44312c632fd9313ad87ab495b6e134f5042167daefa36c5295f61c03ee90b69396f746bc6ec7bfa182a69b
 DIST sphinxcontrib-bibtex-2.3.0.tar.gz 100159 BLAKE2B 96c9ebf48f11354ea3978a053828f9290457aff4fa1f0bb3d9f94bfe6fb5d5463f83bb12004f22bf8e34a517393848482a27d6754c682d25a0de64c3c7d06ecc SHA512 84652cfc7ad19ad5cdc1dba9a8aa7f835c5c95850a8e941067fd79b6b271733a63a1ba457a59e18156737888c2f42350b7fe0cf2d55ea478629b74b00d14f908

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.2.0.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.2.0.ebuild
deleted file mode 100644
index 3c3e2d33175..00000000000
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.2.0.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..9} )
-
-inherit distutils-r1
-
-DESCRIPTION="Sphinx extensions for BibTeX style citations"
-HOMEPAGE="https://github.com/mcmtroffaes/sphinxcontrib-bibtex"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	dev-python/oset[${PYTHON_USEDEP}]
-	dev-python/pybtex[${PYTHON_USEDEP}]
-	dev-python/pybtex-docutils[${PYTHON_USEDEP}]
-	dev-python/sphinx[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx doc
-
-python_test() {
-	pytest -vv test || die "Tests failed with ${EPYTHON}"
-}
-
-python_install_all() {
-	distutils-r1_python_install_all
-	find "${D}" -name '*.pth' -delete || die
-}

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.2.1.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.2.1.ebuild
deleted file mode 100644
index 4a4e2dccdd1..00000000000
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.2.1.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..9} )
-
-inherit distutils-r1
-
-DESCRIPTION="Sphinx extensions for BibTeX style citations"
-HOMEPAGE="https://github.com/mcmtroffaes/sphinxcontrib-bibtex"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	dev-python/oset[${PYTHON_USEDEP}]
-	dev-python/pybtex[${PYTHON_USEDEP}]
-	dev-python/pybtex-docutils[${PYTHON_USEDEP}]
-	dev-python/sphinx[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx doc
-
-python_install_all() {
-	distutils-r1_python_install_all
-	find "${D}" -name '*.pth' -delete || die
-}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2021-09-03  7:32 Arthur Zamarin
  0 siblings, 0 replies; 27+ messages in thread
From: Arthur Zamarin @ 2021-09-03  7:32 UTC (permalink / raw
  To: gentoo-commits

commit:     13aabd3c4bd7e0de7b5129c1d07e50a2b614aa3d
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Sep  3 06:53:28 2021 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Sep  3 07:32:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13aabd3c

dev-python/sphinxcontrib-bibtex: enable py3.10, EAPI=8, clean deps

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.3.0.ebuild | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.3.0.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.3.0.ebuild
index 4a4e2dccdd1..af2d6449a82 100644
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.3.0.ebuild
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.3.0.ebuild
@@ -1,10 +1,9 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..9} )
+EAPI=8
 
+PYTHON_COMPAT=( python3_{8..10} )
 inherit distutils-r1
 
 DESCRIPTION="Sphinx extensions for BibTeX style citations"
@@ -16,7 +15,6 @@ SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
 RDEPEND="
-	dev-python/oset[${PYTHON_USEDEP}]
 	dev-python/pybtex[${PYTHON_USEDEP}]
 	dev-python/pybtex-docutils[${PYTHON_USEDEP}]
 	dev-python/sphinx[${PYTHON_USEDEP}]


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2021-09-13  7:31 Andrew Ammerlaan
  0 siblings, 0 replies; 27+ messages in thread
From: Andrew Ammerlaan @ 2021-09-13  7:31 UTC (permalink / raw
  To: gentoo-commits

commit:     769846a23def9c06458dc8103968d0735e69fa46
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 13 06:53:35 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon Sep 13 07:30:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=769846a2

dev-python/sphinxcontrib-bibtex: add version 2.4.1

Package-Manager: Portage-3.0.23, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  1 +
 .../sphinxcontrib-bibtex-2.4.1.ebuild              | 38 ++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
index 8a3ed968d47..f15517fc228 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1 +1,2 @@
 DIST sphinxcontrib-bibtex-2.3.0.tar.gz 100159 BLAKE2B 96c9ebf48f11354ea3978a053828f9290457aff4fa1f0bb3d9f94bfe6fb5d5463f83bb12004f22bf8e34a517393848482a27d6754c682d25a0de64c3c7d06ecc SHA512 84652cfc7ad19ad5cdc1dba9a8aa7f835c5c95850a8e941067fd79b6b271733a63a1ba457a59e18156737888c2f42350b7fe0cf2d55ea478629b74b00d14f908
+DIST sphinxcontrib-bibtex-2.4.1.tar.gz 108355 BLAKE2B 2ebe53186b7bbf6ef5e09f05e3586b3a2d126978ef87a023f577cb9768621ceea8eaba8be3d03f55d3c7cd0cd7682c598cf141468129866fb7ac9f08ed0e9245 SHA512 9f323379d2626837dc199ac6c63c555eef8a9fa7c1b215f68d5f2c2769ff4027a027c1a46abe9b09aadf87144ddb22e08aaa47838183a82ff0e12fbd91a5334a

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.1.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.1.ebuild
new file mode 100644
index 00000000000..11d9bca9506
--- /dev/null
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extensions for BibTeX style citations"
+HOMEPAGE="https://github.com/mcmtroffaes/sphinxcontrib-bibtex"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	dev-python/docutils[${PYTHON_USEDEP}]
+	dev-python/pybtex[${PYTHON_USEDEP}]
+	dev-python/pybtex-docutils[${PYTHON_USEDEP}]
+	dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests --install pytest
+distutils_enable_sphinx doc
+
+python_prepare_all() {
+	# pybtex.plugin.PluginNotFound: plugin pybtex.style.names.last not found
+	# This particular style seems to be removed?
+	rm test/test_citation.py test/test_footcite.py test/test_style.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+	find "${D}" -name '*.pth' -delete || die
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2022-04-10 21:20 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2022-04-10 21:20 UTC (permalink / raw
  To: gentoo-commits

commit:     955914db6c97ce5e0bc4889efe57f36a00b2d1ab
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 10 21:04:59 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Apr 10 21:20:13 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=955914db

dev-python/sphinxcontrib-bibtex: Bump to 2.4.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  1 +
 .../sphinxcontrib-bibtex-2.4.2.ebuild              | 42 ++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
index f15517fc2285..3aa28c8d2a8c 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1,2 +1,3 @@
 DIST sphinxcontrib-bibtex-2.3.0.tar.gz 100159 BLAKE2B 96c9ebf48f11354ea3978a053828f9290457aff4fa1f0bb3d9f94bfe6fb5d5463f83bb12004f22bf8e34a517393848482a27d6754c682d25a0de64c3c7d06ecc SHA512 84652cfc7ad19ad5cdc1dba9a8aa7f835c5c95850a8e941067fd79b6b271733a63a1ba457a59e18156737888c2f42350b7fe0cf2d55ea478629b74b00d14f908
 DIST sphinxcontrib-bibtex-2.4.1.tar.gz 108355 BLAKE2B 2ebe53186b7bbf6ef5e09f05e3586b3a2d126978ef87a023f577cb9768621ceea8eaba8be3d03f55d3c7cd0cd7682c598cf141468129866fb7ac9f08ed0e9245 SHA512 9f323379d2626837dc199ac6c63c555eef8a9fa7c1b215f68d5f2c2769ff4027a027c1a46abe9b09aadf87144ddb22e08aaa47838183a82ff0e12fbd91a5334a
+DIST sphinxcontrib-bibtex-2.4.2.tar.gz 284061 BLAKE2B 06d9a868da621cca522c45998ce5f28a5aafc501127760c494e9e796d807800cccf3ee0cace7f4b824a00a76e8dd80e77d0ac5e037f2eaebbeec2ce4ea2ead70 SHA512 52d47bf0a20ef13f29b712bbe66cbcb98bd9531b8032a847375ff23180368decc3f89c2323b9ccff77c9bc9fdada63c521a81da6b701533973fcf627c2672e82

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.2.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.2.ebuild
new file mode 100644
index 000000000000..05db93750374
--- /dev/null
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extensions for BibTeX style citations"
+HOMEPAGE="https://github.com/mcmtroffaes/sphinxcontrib-bibtex"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	dev-python/docutils[${PYTHON_USEDEP}]
+	>=dev-python/pybtex-0.24[${PYTHON_USEDEP}]
+	dev-python/pybtex-docutils[${PYTHON_USEDEP}]
+	dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
+python_compile() {
+	distutils-r1_python_compile
+	find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+	# this is needed to keep the tests working while
+	# dev-python/namespace-sphinxcontrib is still installed
+	cat > "${BUILD_DIR}/install$(python_get_sitedir)/sphinxcontrib/__init__.py" <<-EOF || die
+		__path__ = __import__('pkgutil').extend_path(__path__, __name__)
+	EOF
+	epytest
+	rm "${BUILD_DIR}/install$(python_get_sitedir)/sphinxcontrib/__init__.py" || die
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2022-04-11  7:41 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2022-04-11  7:41 UTC (permalink / raw
  To: gentoo-commits

commit:     66f9a8e4d93e959a483e7cc356565b6889a0b08d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 11 07:00:53 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Apr 11 07:41:20 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66f9a8e4

dev-python/sphinxcontrib-bibtex: Add test dep on numpydoc

Closes: https://bugs.gentoo.org/837761
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.2.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.2.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.2.ebuild
index 05db93750374..5d8bcffd2fd0 100644
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.2.ebuild
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.2.ebuild
@@ -22,6 +22,11 @@ RDEPEND="
 	dev-python/pybtex-docutils[${PYTHON_USEDEP}]
 	dev-python/sphinx[${PYTHON_USEDEP}]
 "
+BDEPEND="
+	test? (
+		dev-python/numpydoc[${PYTHON_USEDEP}]
+	)
+"
 
 distutils_enable_tests pytest
 distutils_enable_sphinx doc


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2022-04-11 19:58 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2022-04-11 19:58 UTC (permalink / raw
  To: gentoo-commits

commit:     b136c79419e3c5b19d5580cf898de1ce2aa6cf56
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 11 18:43:13 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Apr 11 19:58:44 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b136c794

dev-python/sphinxcontrib-bibtex: Use distutils_write_namespace

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.2.ebuild | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.2.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.2.ebuild
index 5d8bcffd2fd0..d63be4fb2ab4 100644
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.2.ebuild
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.2.ebuild
@@ -37,11 +37,6 @@ python_compile() {
 }
 
 python_test() {
-	# this is needed to keep the tests working while
-	# dev-python/namespace-sphinxcontrib is still installed
-	cat > "${BUILD_DIR}/install$(python_get_sitedir)/sphinxcontrib/__init__.py" <<-EOF || die
-		__path__ = __import__('pkgutil').extend_path(__path__, __name__)
-	EOF
+	distutils_write_namespace sphinxcontrib
 	epytest
-	rm "${BUILD_DIR}/install$(python_get_sitedir)/sphinxcontrib/__init__.py" || die
 }


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2022-04-26 19:01 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2022-04-26 19:01 UTC (permalink / raw
  To: gentoo-commits

commit:     7967bd158d52ea93eb01df19cec2000683bdb92c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 26 18:58:49 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Apr 26 19:01:16 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7967bd15

dev-python/sphinxcontrib-bibtex: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  2 --
 .../sphinxcontrib-bibtex-2.3.0.ebuild              | 29 -----------------
 .../sphinxcontrib-bibtex-2.4.1.ebuild              | 38 ----------------------
 3 files changed, 69 deletions(-)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
index 3aa28c8d2a8c..6b2af5ac532d 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1,3 +1 @@
-DIST sphinxcontrib-bibtex-2.3.0.tar.gz 100159 BLAKE2B 96c9ebf48f11354ea3978a053828f9290457aff4fa1f0bb3d9f94bfe6fb5d5463f83bb12004f22bf8e34a517393848482a27d6754c682d25a0de64c3c7d06ecc SHA512 84652cfc7ad19ad5cdc1dba9a8aa7f835c5c95850a8e941067fd79b6b271733a63a1ba457a59e18156737888c2f42350b7fe0cf2d55ea478629b74b00d14f908
-DIST sphinxcontrib-bibtex-2.4.1.tar.gz 108355 BLAKE2B 2ebe53186b7bbf6ef5e09f05e3586b3a2d126978ef87a023f577cb9768621ceea8eaba8be3d03f55d3c7cd0cd7682c598cf141468129866fb7ac9f08ed0e9245 SHA512 9f323379d2626837dc199ac6c63c555eef8a9fa7c1b215f68d5f2c2769ff4027a027c1a46abe9b09aadf87144ddb22e08aaa47838183a82ff0e12fbd91a5334a
 DIST sphinxcontrib-bibtex-2.4.2.tar.gz 284061 BLAKE2B 06d9a868da621cca522c45998ce5f28a5aafc501127760c494e9e796d807800cccf3ee0cace7f4b824a00a76e8dd80e77d0ac5e037f2eaebbeec2ce4ea2ead70 SHA512 52d47bf0a20ef13f29b712bbe66cbcb98bd9531b8032a847375ff23180368decc3f89c2323b9ccff77c9bc9fdada63c521a81da6b701533973fcf627c2672e82

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.3.0.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.3.0.ebuild
deleted file mode 100644
index af2d6449a82a..000000000000
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.3.0.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8..10} )
-inherit distutils-r1
-
-DESCRIPTION="Sphinx extensions for BibTeX style citations"
-HOMEPAGE="https://github.com/mcmtroffaes/sphinxcontrib-bibtex"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	dev-python/pybtex[${PYTHON_USEDEP}]
-	dev-python/pybtex-docutils[${PYTHON_USEDEP}]
-	dev-python/sphinx[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-distutils_enable_sphinx doc
-
-python_install_all() {
-	distutils-r1_python_install_all
-	find "${D}" -name '*.pth' -delete || die
-}

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.1.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.1.ebuild
deleted file mode 100644
index 11d9bca95067..000000000000
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.4.1.ebuild
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8..10} )
-inherit distutils-r1
-
-DESCRIPTION="Sphinx extensions for BibTeX style citations"
-HOMEPAGE="https://github.com/mcmtroffaes/sphinxcontrib-bibtex"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	dev-python/docutils[${PYTHON_USEDEP}]
-	dev-python/pybtex[${PYTHON_USEDEP}]
-	dev-python/pybtex-docutils[${PYTHON_USEDEP}]
-	dev-python/sphinx[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests --install pytest
-distutils_enable_sphinx doc
-
-python_prepare_all() {
-	# pybtex.plugin.PluginNotFound: plugin pybtex.style.names.last not found
-	# This particular style seems to be removed?
-	rm test/test_citation.py test/test_footcite.py test/test_style.py || die
-
-	distutils-r1_python_prepare_all
-}
-
-python_install_all() {
-	distutils-r1_python_install_all
-	find "${D}" -name '*.pth' -delete || die
-}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2022-06-05  5:52 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2022-06-05  5:52 UTC (permalink / raw
  To: gentoo-commits

commit:     06b0d80b90d4950c3187804b6176f27791ec24a7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  5 05:49:37 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jun  5 05:49:37 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06b0d80b

dev-python/sphinxcontrib-bibtex: Add python@ as co-maint.

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/metadata.xml | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/dev-python/sphinxcontrib-bibtex/metadata.xml b/dev-python/sphinxcontrib-bibtex/metadata.xml
index cc2a93866978..de28e3ff7b05 100644
--- a/dev-python/sphinxcontrib-bibtex/metadata.xml
+++ b/dev-python/sphinxcontrib-bibtex/metadata.xml
@@ -5,6 +5,10 @@
 		<email>andrewammerlaan@gentoo.org</email>
 		<name>Andrew Ammerlaan</name>
 	</maintainer>
+	<maintainer type="project">
+		<email>python@gentoo.org</email>
+		<name>Python</name>
+	</maintainer>
 	<upstream>
 		<remote-id type="pypi">sphinxcontrib-bibtex</remote-id>
 		<remote-id type="github">mcmtroffaes/sphinxcontrib-bibtex</remote-id>


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2022-08-31 12:38 Andrew Ammerlaan
  0 siblings, 0 replies; 27+ messages in thread
From: Andrew Ammerlaan @ 2022-08-31 12:38 UTC (permalink / raw
  To: gentoo-commits

commit:     9a9098775746c7c1703fa1188eb8c291c0d46f75
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 31 12:37:44 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Wed Aug 31 12:38:12 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9a909877

dev-python/sphinxcontrib-bibtex: add 2.5.0

Closes: https://bugs.gentoo.org/866015
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  1 +
 .../sphinxcontrib-bibtex-2.5.0.ebuild              | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
index 6b2af5ac532d..3d1cbb9616bd 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1 +1,2 @@
 DIST sphinxcontrib-bibtex-2.4.2.tar.gz 284061 BLAKE2B 06d9a868da621cca522c45998ce5f28a5aafc501127760c494e9e796d807800cccf3ee0cace7f4b824a00a76e8dd80e77d0ac5e037f2eaebbeec2ce4ea2ead70 SHA512 52d47bf0a20ef13f29b712bbe66cbcb98bd9531b8032a847375ff23180368decc3f89c2323b9ccff77c9bc9fdada63c521a81da6b701533973fcf627c2672e82
+DIST sphinxcontrib-bibtex-2.5.0.tar.gz 113310 BLAKE2B 5bd39fccf33897bbbf8359a09f07a6e7146d4fb3c1ccb63ad96d3980cc4a256e0b9b37bbf6ceadf65eb01937741934e1f30841587eb6246b50774c81e8428998 SHA512 c99b4bf8cbc73e94e7e4486b4cb58de0dc928079b320ee7d7a473ee27b7f1e349a4765a30059aadc3fb0c6161940c6f2eaf7afdf5ac1c64ba73ed80fba5b5e45

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.5.0.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.5.0.ebuild
new file mode 100644
index 000000000000..6ba25e18e884
--- /dev/null
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.5.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx extensions for BibTeX style citations"
+HOMEPAGE="https://github.com/mcmtroffaes/sphinxcontrib-bibtex"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	>=dev-python/docutils-0.8[${PYTHON_USEDEP}]
+	>=dev-python/importlib_metadata-3.6[${PYTHON_USEDEP}]
+	>=dev-python/pybtex-0.24[${PYTHON_USEDEP}]
+	>=dev-python/pybtex-docutils-1.0.0[${PYTHON_USEDEP}]
+	>=dev-python/sphinx-2.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/numpydoc[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_DESELECT=(
+	# rinoh not packaged
+	test/test_citation_rinoh.py::test_citation_rinoh
+	test/test_citation_rinoh.py::test_citation_rinoh_multidoc
+)
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
+python_compile() {
+	distutils-r1_python_compile
+	find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+	distutils_write_namespace sphinxcontrib
+	epytest
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2023-03-17 15:25 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2023-03-17 15:25 UTC (permalink / raw
  To: gentoo-commits

commit:     ff69e0dfe8621869046eae638417c0936081827c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 17 11:59:57 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 17 15:25:14 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff69e0df

dev-python/sphinxcontrib-bibtex: Use pypi.eclass

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.5.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.5.0.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.5.0.ebuild
index 1a2a11d5847b..081b40e9be74 100644
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.5.0.ebuild
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.5.0.ebuild
@@ -4,13 +4,13 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
 PYTHON_COMPAT=( python3_{9..11} )
 
-inherit distutils-r1
+inherit distutils-r1 pypi
 
 DESCRIPTION="Sphinx extensions for BibTeX style citations"
 HOMEPAGE="https://github.com/mcmtroffaes/sphinxcontrib-bibtex"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="BSD"
 SLOT="0"


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2023-08-25  9:49 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2023-08-25  9:49 UTC (permalink / raw
  To: gentoo-commits

commit:     8b7904854389d45e7fbb7469d388a7c32c631b83
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 25 09:19:31 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 25 09:49:24 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b790485

dev-python/sphinxcontrib-bibtex: Bump to 2.6.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  1 +
 .../sphinxcontrib-bibtex-2.6.0.ebuild              | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
index e6f67c4f309b..ab0ed8ab1dd8 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1 +1,2 @@
 DIST sphinxcontrib-bibtex-2.5.0.tar.gz 113310 BLAKE2B 5bd39fccf33897bbbf8359a09f07a6e7146d4fb3c1ccb63ad96d3980cc4a256e0b9b37bbf6ceadf65eb01937741934e1f30841587eb6246b50774c81e8428998 SHA512 c99b4bf8cbc73e94e7e4486b4cb58de0dc928079b320ee7d7a473ee27b7f1e349a4765a30059aadc3fb0c6161940c6f2eaf7afdf5ac1c64ba73ed80fba5b5e45
+DIST sphinxcontrib-bibtex-2.6.0.tar.gz 116668 BLAKE2B e7ad397bccf362717f95df7a563838005b626b59a49e9b07933deed47061fd56fdd291c2d8f2848821d43f132720507bcf5664afb7c62b9c8ca8745b131ba6f9 SHA512 779948e228890d57e26f0b450a6b6b0f7311142bfe65636ca86f42610ae9a3713cee8a4b6f58dc4e12cebd2a87dd309685fb29fbd0dbdbad14f993cb241bf1d6

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.0.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.0.ebuild
new file mode 100644
index 000000000000..ea7f29444e5b
--- /dev/null
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Sphinx extensions for BibTeX style citations"
+HOMEPAGE="
+	https://github.com/mcmtroffaes/sphinxcontrib-bibtex/
+	https://pypi.org/project/sphinxcontrib-bibtex/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	>=dev-python/docutils-0.8[${PYTHON_USEDEP}]
+	>=dev-python/importlib-metadata-3.6[${PYTHON_USEDEP}]
+	>=dev-python/pybtex-0.24[${PYTHON_USEDEP}]
+	>=dev-python/pybtex-docutils-1.0.0[${PYTHON_USEDEP}]
+	>=dev-python/sphinx-3.5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/numpydoc[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_DESELECT=(
+	# rinoh not packaged
+	test/test_citation_rinoh.py::test_citation_rinoh
+	test/test_citation_rinoh.py::test_citation_rinoh_multidoc
+)
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
+python_compile() {
+	distutils-r1_python_compile
+	find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+	distutils_write_namespace sphinxcontrib
+	epytest
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2023-08-27 15:59 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2023-08-27 15:59 UTC (permalink / raw
  To: gentoo-commits

commit:     bc3225b5aa4c2d5ea827108d9ada915078e24c14
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 27 15:49:50 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug 27 15:59:50 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc3225b5

dev-python/sphinxcontrib-bibtex: Bump to 2.6.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  1 +
 .../sphinxcontrib-bibtex-2.6.1.ebuild              | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
index ab0ed8ab1dd8..9f75e1f6c7fd 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1,2 +1,3 @@
 DIST sphinxcontrib-bibtex-2.5.0.tar.gz 113310 BLAKE2B 5bd39fccf33897bbbf8359a09f07a6e7146d4fb3c1ccb63ad96d3980cc4a256e0b9b37bbf6ceadf65eb01937741934e1f30841587eb6246b50774c81e8428998 SHA512 c99b4bf8cbc73e94e7e4486b4cb58de0dc928079b320ee7d7a473ee27b7f1e349a4765a30059aadc3fb0c6161940c6f2eaf7afdf5ac1c64ba73ed80fba5b5e45
 DIST sphinxcontrib-bibtex-2.6.0.tar.gz 116668 BLAKE2B e7ad397bccf362717f95df7a563838005b626b59a49e9b07933deed47061fd56fdd291c2d8f2848821d43f132720507bcf5664afb7c62b9c8ca8745b131ba6f9 SHA512 779948e228890d57e26f0b450a6b6b0f7311142bfe65636ca86f42610ae9a3713cee8a4b6f58dc4e12cebd2a87dd309685fb29fbd0dbdbad14f993cb241bf1d6
+DIST sphinxcontrib-bibtex-2.6.1.tar.gz 117150 BLAKE2B 832fe8d16fd9311b5972127328edc506a0d4f2918c4ac1a4e56ce0530fa0c792db45f82c1801f48ff3299a52693a3041e9c2d6cbc4a17e864617ca58cfb6cd42 SHA512 9cf965bdfbcbc03b3104c9e7c5a730ac3e38c410554b7007485bd9aa0464663e26898537fa074c97951588a3e848a8a64e09d6c82bfc117ce4153da24de84fb5

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1.ebuild
new file mode 100644
index 000000000000..ea7f29444e5b
--- /dev/null
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Sphinx extensions for BibTeX style citations"
+HOMEPAGE="
+	https://github.com/mcmtroffaes/sphinxcontrib-bibtex/
+	https://pypi.org/project/sphinxcontrib-bibtex/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	>=dev-python/docutils-0.8[${PYTHON_USEDEP}]
+	>=dev-python/importlib-metadata-3.6[${PYTHON_USEDEP}]
+	>=dev-python/pybtex-0.24[${PYTHON_USEDEP}]
+	>=dev-python/pybtex-docutils-1.0.0[${PYTHON_USEDEP}]
+	>=dev-python/sphinx-3.5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/numpydoc[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_DESELECT=(
+	# rinoh not packaged
+	test/test_citation_rinoh.py::test_citation_rinoh
+	test/test_citation_rinoh.py::test_citation_rinoh_multidoc
+)
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
+python_compile() {
+	distutils-r1_python_compile
+	find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+	distutils_write_namespace sphinxcontrib
+	epytest
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2023-09-14 11:02 Andrew Ammerlaan
  0 siblings, 0 replies; 27+ messages in thread
From: Andrew Ammerlaan @ 2023-09-14 11:02 UTC (permalink / raw
  To: gentoo-commits

commit:     6a7fb941465250d96ea5e91d1a9ef62ad1f6e248
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 14 10:38:09 2023 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Thu Sep 14 11:01:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a7fb941

dev-python/sphinxcontrib-bibtex: drop myself as a maintainer

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/metadata.xml | 4 ----
 1 file changed, 4 deletions(-)

diff --git a/dev-python/sphinxcontrib-bibtex/metadata.xml b/dev-python/sphinxcontrib-bibtex/metadata.xml
index de28e3ff7b05..90f7dde4d2f7 100644
--- a/dev-python/sphinxcontrib-bibtex/metadata.xml
+++ b/dev-python/sphinxcontrib-bibtex/metadata.xml
@@ -1,10 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<maintainer type="person">
-		<email>andrewammerlaan@gentoo.org</email>
-		<name>Andrew Ammerlaan</name>
-	</maintainer>
 	<maintainer type="project">
 		<email>python@gentoo.org</email>
 		<name>Python</name>


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2023-12-18  5:18 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2023-12-18  5:18 UTC (permalink / raw
  To: gentoo-commits

commit:     06ee5f52b3182ba29527b383b79d0121821b17fa
Author:     Matoro Mahri <matoro_gentoo <AT> matoro <DOT> tk>
AuthorDate: Mon Dec 18 04:05:02 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Dec 18 05:18:36 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06ee5f52

dev-python/sphinxcontrib-bibtex: add dev-python/sphinx-autoapi test dep

Bug: https://bugs.gentoo.org/918044
Signed-off-by: Matoro Mahri <matoro_gentoo <AT> matoro.tk>
Closes: https://github.com/gentoo/gentoo/pull/34343
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1-r1.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1-r1.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1-r1.ebuild
index 3e70af03cf4d..2e52bf51c009 100644
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1-r1.ebuild
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1-r1.ebuild
@@ -28,6 +28,7 @@ RDEPEND="
 BDEPEND="
 	test? (
 		dev-python/numpydoc[${PYTHON_USEDEP}]
+		dev-python/sphinx-autoapi[${PYTHON_USEDEP}]
 	)
 "
 


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2023-12-30  1:26 Ionen Wolkens
  0 siblings, 0 replies; 27+ messages in thread
From: Ionen Wolkens @ 2023-12-30  1:26 UTC (permalink / raw
  To: gentoo-commits

commit:     1c6aae25f901428b61ebeda8d1668c3d5e7ff5ea
Author:     Matoro Mahri <matoro_gentoo <AT> matoro <DOT> tk>
AuthorDate: Fri Dec 29 16:55:17 2023 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sat Dec 30 01:10:13 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c6aae25

dev-python/sphinxcontrib-bibtex: Keyword 2.6.1-r1 arm64, #918044

Signed-off-by: Matoro Mahri <matoro_gentoo <AT> matoro.tk>
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1-r1.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1-r1.ebuild
index 2e52bf51c009..4976e7c77d53 100644
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1-r1.ebuild
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1-r1.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
 
 LICENSE="BSD"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~arm64 ~x86"
 
 RDEPEND="
 	>=dev-python/docutils-0.8[${PYTHON_USEDEP}]


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2023-12-30 18:35 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2023-12-30 18:35 UTC (permalink / raw
  To: gentoo-commits

commit:     9b44ace4fd4963c8eedb6a52e179e779eec03bfa
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 30 18:32:36 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Dec 30 18:34:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9b44ace4

dev-python/sphinxcontrib-bibtex: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  2 -
 .../sphinxcontrib-bibtex-2.5.0.ebuild              | 49 --------------------
 .../sphinxcontrib-bibtex-2.6.0.ebuild              | 52 ----------------------
 .../sphinxcontrib-bibtex-2.6.1.ebuild              | 52 ----------------------
 4 files changed, 155 deletions(-)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
index 9f75e1f6c7fd..7676f310a56f 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1,3 +1 @@
-DIST sphinxcontrib-bibtex-2.5.0.tar.gz 113310 BLAKE2B 5bd39fccf33897bbbf8359a09f07a6e7146d4fb3c1ccb63ad96d3980cc4a256e0b9b37bbf6ceadf65eb01937741934e1f30841587eb6246b50774c81e8428998 SHA512 c99b4bf8cbc73e94e7e4486b4cb58de0dc928079b320ee7d7a473ee27b7f1e349a4765a30059aadc3fb0c6161940c6f2eaf7afdf5ac1c64ba73ed80fba5b5e45
-DIST sphinxcontrib-bibtex-2.6.0.tar.gz 116668 BLAKE2B e7ad397bccf362717f95df7a563838005b626b59a49e9b07933deed47061fd56fdd291c2d8f2848821d43f132720507bcf5664afb7c62b9c8ca8745b131ba6f9 SHA512 779948e228890d57e26f0b450a6b6b0f7311142bfe65636ca86f42610ae9a3713cee8a4b6f58dc4e12cebd2a87dd309685fb29fbd0dbdbad14f993cb241bf1d6
 DIST sphinxcontrib-bibtex-2.6.1.tar.gz 117150 BLAKE2B 832fe8d16fd9311b5972127328edc506a0d4f2918c4ac1a4e56ce0530fa0c792db45f82c1801f48ff3299a52693a3041e9c2d6cbc4a17e864617ca58cfb6cd42 SHA512 9cf965bdfbcbc03b3104c9e7c5a730ac3e38c410554b7007485bd9aa0464663e26898537fa074c97951588a3e848a8a64e09d6c82bfc117ce4153da24de84fb5

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.5.0.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.5.0.ebuild
deleted file mode 100644
index 8bd3e4861056..000000000000
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.5.0.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{9..11} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Sphinx extensions for BibTeX style citations"
-HOMEPAGE="https://github.com/mcmtroffaes/sphinxcontrib-bibtex"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	>=dev-python/docutils-0.8[${PYTHON_USEDEP}]
-	>=dev-python/importlib-metadata-3.6[${PYTHON_USEDEP}]
-	>=dev-python/pybtex-0.24[${PYTHON_USEDEP}]
-	>=dev-python/pybtex-docutils-1.0.0[${PYTHON_USEDEP}]
-	>=dev-python/sphinx-2.1[${PYTHON_USEDEP}]
-"
-BDEPEND="
-	test? (
-		dev-python/numpydoc[${PYTHON_USEDEP}]
-	)
-"
-
-EPYTEST_DESELECT=(
-	# rinoh not packaged
-	test/test_citation_rinoh.py::test_citation_rinoh
-	test/test_citation_rinoh.py::test_citation_rinoh_multidoc
-)
-
-distutils_enable_tests pytest
-distutils_enable_sphinx doc
-
-python_compile() {
-	distutils-r1_python_compile
-	find "${BUILD_DIR}" -name '*.pth' -delete || die
-}
-
-python_test() {
-	distutils_write_namespace sphinxcontrib
-	epytest
-}

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.0.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.0.ebuild
deleted file mode 100644
index ea7f29444e5b..000000000000
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.0.ebuild
+++ /dev/null
@@ -1,52 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{10..11} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Sphinx extensions for BibTeX style citations"
-HOMEPAGE="
-	https://github.com/mcmtroffaes/sphinxcontrib-bibtex/
-	https://pypi.org/project/sphinxcontrib-bibtex/
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	>=dev-python/docutils-0.8[${PYTHON_USEDEP}]
-	>=dev-python/importlib-metadata-3.6[${PYTHON_USEDEP}]
-	>=dev-python/pybtex-0.24[${PYTHON_USEDEP}]
-	>=dev-python/pybtex-docutils-1.0.0[${PYTHON_USEDEP}]
-	>=dev-python/sphinx-3.5[${PYTHON_USEDEP}]
-"
-BDEPEND="
-	test? (
-		dev-python/numpydoc[${PYTHON_USEDEP}]
-	)
-"
-
-EPYTEST_DESELECT=(
-	# rinoh not packaged
-	test/test_citation_rinoh.py::test_citation_rinoh
-	test/test_citation_rinoh.py::test_citation_rinoh_multidoc
-)
-
-distutils_enable_tests pytest
-distutils_enable_sphinx doc
-
-python_compile() {
-	distutils-r1_python_compile
-	find "${BUILD_DIR}" -name '*.pth' -delete || die
-}
-
-python_test() {
-	distutils_write_namespace sphinxcontrib
-	epytest
-}

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1.ebuild
deleted file mode 100644
index ea7f29444e5b..000000000000
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1.ebuild
+++ /dev/null
@@ -1,52 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{10..11} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Sphinx extensions for BibTeX style citations"
-HOMEPAGE="
-	https://github.com/mcmtroffaes/sphinxcontrib-bibtex/
-	https://pypi.org/project/sphinxcontrib-bibtex/
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	>=dev-python/docutils-0.8[${PYTHON_USEDEP}]
-	>=dev-python/importlib-metadata-3.6[${PYTHON_USEDEP}]
-	>=dev-python/pybtex-0.24[${PYTHON_USEDEP}]
-	>=dev-python/pybtex-docutils-1.0.0[${PYTHON_USEDEP}]
-	>=dev-python/sphinx-3.5[${PYTHON_USEDEP}]
-"
-BDEPEND="
-	test? (
-		dev-python/numpydoc[${PYTHON_USEDEP}]
-	)
-"
-
-EPYTEST_DESELECT=(
-	# rinoh not packaged
-	test/test_citation_rinoh.py::test_citation_rinoh
-	test/test_citation_rinoh.py::test_citation_rinoh_multidoc
-)
-
-distutils_enable_tests pytest
-distutils_enable_sphinx doc
-
-python_compile() {
-	distutils-r1_python_compile
-	find "${BUILD_DIR}" -name '*.pth' -delete || die
-}
-
-python_test() {
-	distutils_write_namespace sphinxcontrib
-	epytest
-}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2024-01-10 21:12 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2024-01-10 21:12 UTC (permalink / raw
  To: gentoo-commits

commit:     5accdc5069ac93ea0f2a3282e69798b05b4af44c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 10 18:09:08 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jan 10 21:11:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5accdc50

dev-python/sphinxcontrib-bibtex: Bump to 2.6.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  1 +
 .../sphinxcontrib-bibtex-2.6.2.ebuild              | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
index 7676f310a56f..f26378adb6db 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1 +1,2 @@
 DIST sphinxcontrib-bibtex-2.6.1.tar.gz 117150 BLAKE2B 832fe8d16fd9311b5972127328edc506a0d4f2918c4ac1a4e56ce0530fa0c792db45f82c1801f48ff3299a52693a3041e9c2d6cbc4a17e864617ca58cfb6cd42 SHA512 9cf965bdfbcbc03b3104c9e7c5a730ac3e38c410554b7007485bd9aa0464663e26898537fa074c97951588a3e848a8a64e09d6c82bfc117ce4153da24de84fb5
+DIST sphinxcontrib-bibtex-2.6.2.tar.gz 117459 BLAKE2B 663521602282e360525354cc5ebffdba9e039f5d523774465f0b9318b39aa6429837164fc24e60d7646d204798a7b97d9defc176248b2793e7f7bbfeffc5c56a SHA512 a2b48306078de902cfdedbcafe94ea8aefcfff5285ec651fd1d0fe2c452818f9383ba486fb64e2ef4a294782445db2854bbdd158ab2aa1a49ed4adef85e9c82b

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.2.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.2.ebuild
new file mode 100644
index 000000000000..e5cec2c5aca6
--- /dev/null
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.2.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Sphinx extensions for BibTeX style citations"
+HOMEPAGE="
+	https://github.com/mcmtroffaes/sphinxcontrib-bibtex/
+	https://pypi.org/project/sphinxcontrib-bibtex/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+	>=dev-python/docutils-0.8[${PYTHON_USEDEP}]
+	>=dev-python/pybtex-0.24[${PYTHON_USEDEP}]
+	>=dev-python/pybtex-docutils-1.0.0[${PYTHON_USEDEP}]
+	>=dev-python/sphinx-3.5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/numpydoc[${PYTHON_USEDEP}]
+		dev-python/sphinx-autoapi[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_DESELECT=(
+	# rinoh not packaged
+	test/test_citation_rinoh.py::test_citation_rinoh
+	test/test_citation_rinoh.py::test_citation_rinoh_multidoc
+)
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
+python_compile() {
+	distutils-r1_python_compile
+	find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+	distutils_write_namespace sphinxcontrib
+	epytest
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2024-02-26 14:25 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2024-02-26 14:25 UTC (permalink / raw
  To: gentoo-commits

commit:     6fa91eab8b23414b823093313f2e2f65086843c1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 26 14:12:49 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb 26 14:12:49 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6fa91eab

dev-python/sphinxcontrib-bibtex: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  1 -
 .../sphinxcontrib-bibtex-2.6.1-r1.ebuild           | 52 ----------------------
 2 files changed, 53 deletions(-)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
index f26378adb6db..a6f0b8f7093c 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1,2 +1 @@
-DIST sphinxcontrib-bibtex-2.6.1.tar.gz 117150 BLAKE2B 832fe8d16fd9311b5972127328edc506a0d4f2918c4ac1a4e56ce0530fa0c792db45f82c1801f48ff3299a52693a3041e9c2d6cbc4a17e864617ca58cfb6cd42 SHA512 9cf965bdfbcbc03b3104c9e7c5a730ac3e38c410554b7007485bd9aa0464663e26898537fa074c97951588a3e848a8a64e09d6c82bfc117ce4153da24de84fb5
 DIST sphinxcontrib-bibtex-2.6.2.tar.gz 117459 BLAKE2B 663521602282e360525354cc5ebffdba9e039f5d523774465f0b9318b39aa6429837164fc24e60d7646d204798a7b97d9defc176248b2793e7f7bbfeffc5c56a SHA512 a2b48306078de902cfdedbcafe94ea8aefcfff5285ec651fd1d0fe2c452818f9383ba486fb64e2ef4a294782445db2854bbdd158ab2aa1a49ed4adef85e9c82b

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1-r1.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1-r1.ebuild
deleted file mode 100644
index 4976e7c77d53..000000000000
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.1-r1.ebuild
+++ /dev/null
@@ -1,52 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{10..11} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Sphinx extensions for BibTeX style citations"
-HOMEPAGE="
-	https://github.com/mcmtroffaes/sphinxcontrib-bibtex/
-	https://pypi.org/project/sphinxcontrib-bibtex/
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-
-RDEPEND="
-	>=dev-python/docutils-0.8[${PYTHON_USEDEP}]
-	>=dev-python/pybtex-0.24[${PYTHON_USEDEP}]
-	>=dev-python/pybtex-docutils-1.0.0[${PYTHON_USEDEP}]
-	>=dev-python/sphinx-3.5[${PYTHON_USEDEP}]
-"
-BDEPEND="
-	test? (
-		dev-python/numpydoc[${PYTHON_USEDEP}]
-		dev-python/sphinx-autoapi[${PYTHON_USEDEP}]
-	)
-"
-
-EPYTEST_DESELECT=(
-	# rinoh not packaged
-	test/test_citation_rinoh.py::test_citation_rinoh
-	test/test_citation_rinoh.py::test_citation_rinoh_multidoc
-)
-
-distutils_enable_tests pytest
-distutils_enable_sphinx doc
-
-python_compile() {
-	distutils-r1_python_compile
-	find "${BUILD_DIR}" -name '*.pth' -delete || die
-}
-
-python_test() {
-	distutils_write_namespace sphinxcontrib
-	epytest
-}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2024-04-14 15:28 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2024-04-14 15:28 UTC (permalink / raw
  To: gentoo-commits

commit:     4112edabd1efeb514ee046eb44e97e28906fcdbb
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 14 15:19:10 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Apr 14 15:28:11 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4112edab

dev-python/sphinxcontrib-bibtex: Enable py3.12

Closes: https://bugs.gentoo.org/929511
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.2.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.2.ebuild
index e5cec2c5aca6..268943a49323 100644
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.2.ebuild
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.2.ebuild
@@ -5,7 +5,7 @@ EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
 PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( python3_{10..12} )
 
 inherit distutils-r1 pypi
 


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2024-07-08 19:22 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2024-07-08 19:22 UTC (permalink / raw
  To: gentoo-commits

commit:     6816df0a845ecc6365689f96d7f92f15c100ad27
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul  8 19:07:49 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul  8 19:22:30 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6816df0a

dev-python/sphinxcontrib-bibtex: Enable py3.13

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.2.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.2.ebuild
index 268943a49323..c612c5357db8 100644
--- a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.2.ebuild
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.2.ebuild
@@ -5,7 +5,7 @@ EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
 PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( python3_{10..13} )
 
 inherit distutils-r1 pypi
 


^ permalink raw reply related	[flat|nested] 27+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/
@ 2024-09-13  3:12 Michał Górny
  0 siblings, 0 replies; 27+ messages in thread
From: Michał Górny @ 2024-09-13  3:12 UTC (permalink / raw
  To: gentoo-commits

commit:     29d545d0dcf368574e9e6fd78394dbc84614fa76
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 13 02:51:51 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Sep 13 03:12:19 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29d545d0

dev-python/sphinxcontrib-bibtex: Bump to 2.6.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-bibtex/Manifest           |  1 +
 .../sphinxcontrib-bibtex-2.6.3.ebuild              | 51 ++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/sphinxcontrib-bibtex/Manifest b/dev-python/sphinxcontrib-bibtex/Manifest
index a6f0b8f7093c..21021e176979 100644
--- a/dev-python/sphinxcontrib-bibtex/Manifest
+++ b/dev-python/sphinxcontrib-bibtex/Manifest
@@ -1 +1,2 @@
 DIST sphinxcontrib-bibtex-2.6.2.tar.gz 117459 BLAKE2B 663521602282e360525354cc5ebffdba9e039f5d523774465f0b9318b39aa6429837164fc24e60d7646d204798a7b97d9defc176248b2793e7f7bbfeffc5c56a SHA512 a2b48306078de902cfdedbcafe94ea8aefcfff5285ec651fd1d0fe2c452818f9383ba486fb64e2ef4a294782445db2854bbdd158ab2aa1a49ed4adef85e9c82b
+DIST sphinxcontrib_bibtex-2.6.3.tar.gz 117177 BLAKE2B 282135eba34e957584bdf2d86c3ffa1952aaedf87115ab800620ad12736dbb18417e344c2e692f3e8862b8f114b0110d4797018e616b738556a9aebab0afc3ae SHA512 5f5e6ff1616735987c2ff9826853db0ec739f7477100b5abb60208233ccd962fe43946f372c42ace53353a2983b1eeefade0a5020cd848ef8ba1289b533d2248

diff --git a/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.3.ebuild b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.3.ebuild
new file mode 100644
index 000000000000..643012a3659d
--- /dev/null
+++ b/dev-python/sphinxcontrib-bibtex/sphinxcontrib-bibtex-2.6.3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Sphinx extensions for BibTeX style citations"
+HOMEPAGE="
+	https://github.com/mcmtroffaes/sphinxcontrib-bibtex/
+	https://pypi.org/project/sphinxcontrib-bibtex/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+	>=dev-python/docutils-0.8[${PYTHON_USEDEP}]
+	>=dev-python/pybtex-0.24[${PYTHON_USEDEP}]
+	>=dev-python/pybtex-docutils-1.0.0[${PYTHON_USEDEP}]
+	>=dev-python/sphinx-3.5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/numpydoc[${PYTHON_USEDEP}]
+		dev-python/sphinx-autoapi[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_DESELECT=(
+	# rinoh not packaged
+	test/test_citation_rinoh.py::test_citation_rinoh
+	test/test_citation_rinoh.py::test_citation_rinoh_multidoc
+)
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
+python_compile() {
+	distutils-r1_python_compile
+	find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+	distutils_write_namespace sphinxcontrib
+	epytest
+}


^ permalink raw reply related	[flat|nested] 27+ messages in thread

end of thread, other threads:[~2024-09-13  3:12 UTC | newest]

Thread overview: 27+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-09-14 11:02 [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-bibtex/ Andrew Ammerlaan
  -- strict thread matches above, loose matches on Subject: below --
2024-09-13  3:12 Michał Górny
2024-07-08 19:22 Michał Górny
2024-04-14 15:28 Michał Górny
2024-02-26 14:25 Michał Górny
2024-01-10 21:12 Michał Górny
2023-12-30 18:35 Michał Górny
2023-12-30  1:26 Ionen Wolkens
2023-12-18  5:18 Michał Górny
2023-08-27 15:59 Michał Górny
2023-08-25  9:49 Michał Górny
2023-03-17 15:25 Michał Górny
2022-08-31 12:38 Andrew Ammerlaan
2022-06-05  5:52 Michał Górny
2022-04-26 19:01 Michał Górny
2022-04-11 19:58 Michał Górny
2022-04-11  7:41 Michał Górny
2022-04-10 21:20 Michał Górny
2021-09-13  7:31 Andrew Ammerlaan
2021-09-03  7:32 Arthur Zamarin
2021-09-03  7:32 Arthur Zamarin
2021-06-05 20:54 Andrew Ammerlaan
2021-06-01 21:37 Michał Górny
2021-05-22 20:55 Andrew Ammerlaan
2021-05-17  7:36 Michał Górny
2021-03-05 21:50 Michał Górny
2021-01-16  8:05 Joonas Niilola

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox